Loading...
Searching...
No Matches
amg.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

The AMG preconditioner. More...

`#include <memory>`
`#include <sstream>`
`#include <dune/common/exceptions.hh>`
`#include <dune/istl/paamg/smoother.hh>`
`#include <dune/istl/paamg/transfer.hh>`
`#include <dune/istl/paamg/matrixhierarchy.hh>`
`#include <dune/istl/solvers.hh>`
`#include <dune/istl/scalarproducts.hh>`
`#include <dune/istl/superlu.hh>`
`#include <dune/istl/umfpack.hh>`
`#include <dune/istl/solvertype.hh>`
`#include <dune/istl/solverregistry.hh>`
`#include <dune/common/typetraits.hh>`
`#include <dune/common/scalarvectorview.hh>`
`#include <dune/common/scalarmatrixview.hh>`
`#include <dune/common/parametertree.hh>`

Go to the source code of this file.

## Classes

class | Dune::Amg::AMG< M, X, S, PI, A >
| Parallel algebraic multigrid based on agglomeration. More...
struct | Dune::Amg::DirectSolverSelector< Matrix, Vector >
struct | Dune::Amg::DirectSolverSelector< Matrix, Vector >::Solver< M, SolverType >
struct | Dune::Amg::DirectSolverSelector< Matrix, Vector >::Solver< M, superlu >
struct | Dune::AMGCreator
struct | Dune::AMGCreator::isValidMatrix< class >
struct | Dune::AMGCreator::isValidMatrix< BCRSMatrix< FieldMatrix< T, n, m >, A > >

## Namespaces

namespace | Dune
namespace | Dune::Amg

## Functions

| Dune::DUNE_REGISTER_PRECONDITIONER ("amg", AMGCreator())

## Detailed Description

The AMG preconditioner.

Author
  Markus Blatt